Retrieve file (Gemini format)

Retrieves file metadata in Google Gemini API format.

Note: This endpoint returns file metadata only. Direct file content download is not supported by Gemini Files API. Use the file.uri field from the response to access the file content.

GET
/genai/v1beta/files/{file_id}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

file_idstring

File ID

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/genai/v1beta/files/string"
{
  "name": "string",
  "displayName": "string",
  "mimeType": "string",
  "sizeBytes": "string",
  "createTime": "2019-08-24T14:15:22Z",
  "updateTime": "2019-08-24T14:15:22Z",
  "expirationTime": "2019-08-24T14:15:22Z",
  "sha256Hash": "string",
  "uri": "string",
  "state": "STATE_UNSPECIFIED",
  "error": {
    "code": 0,
    "message": "string"
  },
  "videoMetadata": {
    "videoDuration": "string"
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
On this page

On this page

No Headings